{{- define "libdjango.django-service.tpl" }}
apiVersion: v1
kind: Service
metadata:
  name: {{ .Release.Name | quote }}
  labels:
    {{- include "libdjango.labels" . | nindent 4 }}
spec:
  type: {{ .Values.django.service.type }}
  ports:
    - port: {{ .Values.django.service.port }}
      targetPort: django
      protocol: TCP
      name: django
  selector:
    {{- include "libdjango.selectorLabels" . | nindent 4 }}
    app.kubernetes.io/component: django
{{- end }}
{{- define "libdjango.django-service" -}}
{{- include "libdjango.merge" (append . "libdjango.django-service.tpl") -}}
{{- end -}}
